Subject: Re: bug#35521: Mariadb test suite failures on x86_64-linux

From: Marius Bakke <[email-masked]>
Date: Sun, 14 Jul 2019 19:17:01 +0200

Mark H Weaver <[email-masked]> writes:

> Hello again,
>
>> Could it be that you don't have enough disk space for this test?  Do you
>> have the log file available still?
>
> I made another build attempt on my X200, this time logging the output of
> "df --si" every 10 seconds.  The free space started at ~11 GB free and
> never went below 7 GB, but the 'tokudb_bugs.mdev4533' test failed as
> before: "No space left on device" while trying to create the 'test'
> table.

Thanks for testing.  Out of curiousity I tried to enable TokuDB on my
server:

MariaDB [(none)]> INSTALL PLUGIN tokudb SONAME 'ha_tokudb';
ERROR 2006 (HY000): MySQL server has gone away

Ouch.

Unfortunately the Guix service does not seem to enable any kind of
logging, so I haven't dug further.  Loading other plugins seems to work
though.

I am currently trying this patch on Berlin:

diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
index 6bfeaad9a2..c17031bb2c 100644
--- a/gnu/packages/databases.scm
+++ b/gnu/packages/databases.scm
@@ -659,6 +659,10 @@ Language.")
          ;; For now, disable the features that that use libarchive (xtrabackup).
          "-DWITH_LIBARCHIVE=OFF"
 
+         ;; FIXME: Disable the TokuDB engine, because its test suite frequently
+         ;; fails, and loading it crashes the server: <https://bugs.gnu.org/35521>.
+         "-DTOKUDB_OK=OFF"
+
          ;; Ensure the system libraries are used.
          "-DWITH_JEMALLOC=yes"
          "-DWITH_PCRE=system"
@@ -706,9 +710,6 @@ Language.")
                       ;; 2030-12-31.  See <https://bugs.gnu.org/34351> for details.
                       "main.mysqldump"
 
-                      ;; XXX: Fails sporadically.
-                      "innodb_fts.crash_recovery"
-
                       ;; FIXME: This test fails on i686:
                       ;; -myisampack: Can't create/write to file (Errcode: 17 "File exists")
                       ;; +myisampack: Can't create/write to file (Errcode: 17 "File exists)
@@ -786,7 +787,6 @@ Language.")
        ("libxml2" ,libxml2)
        ("ncurses" ,ncurses)
        ("pcre" ,pcre)
-       ("snappy" ,snappy)
        ("xz" ,xz)
        ("zlib" ,zlib)))
     (propagated-inputs

WDYT?

There has been some activity around TokuDB in later versions of MariaDB,
maybe we can enable it again with 10.4.  For now, I think we should just
disable it.